ViolLua.Miscellaneous = { 
    Config = ViolLua.Config,
    Client = ViolLua.Client
}

ViolLua:LoadFile( 'lua/ViolLua/modules/miscellaneous/bots/handler.lua' )

ViolLua:LoadFile( 'lua/ViolLua/modules/miscellaneous/movement/handler.lua' )

function ViolLua.Miscellaneous:Update( Stage, CUserCMD )
    if ( Stage != MOVE_POST_MOVEMENT ) then 
        return
    end

    if ( not self.Client.Local or not self.Client.Alive ) then 
        return
    end
    
    if ( self.Client.Movetype == MOVETYPE_NOCLIP or self.Client.Movetype == MOVETYPE_LADDER ) then 
        return
    end

    self:Autostrafe( CUserCMD )
    self:Bunnyhop( CUserCMD )

    self:QuickMovement( CUserCMD )
end

ViolLua.Hooks:New( 'CreateMoveEx', ViolLua.Miscellaneous.Update, ViolLua.Miscellaneous )